-- ----------------------------
-- 2024-07-27
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_child_license`;
CREATE TABLE `mortals_xhx_child_license`  (
 `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
 `siteId` bigint(20) DEFAULT NULL COMMENT '站点Id',
 `siteName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '站点名称',
 `marketEntityName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '市场主体名称',
 `licenseCode` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '许可证编号',
 `legalPersonName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '法定代表人（负责人）',
 `creditCode` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '统一社会信用代码',
 `productLicenseTime` datetime(0) NULL DEFAULT NULL COMMENT '制证日期',
 `certQRCode` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '证件二维码',
 `url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '链接地址',
 `certAuthority` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '制证机关',
 `businessPlace` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '经营场所',
 `licensedItems` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '许可项目',
 `fileName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件名称',
 `filePath` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件相对路径地址',
 `summary` varchar(2048) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '简介',
 `remark` varchar(2048) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
 `createTime` datetime(0) NOT NULL  COMMENT '创建时间',
 `createUserId` bigint(20) NOT NULL  COMMENT '创建用户',
 `updateUserId` bigint(20)  DEFAULT NULL COMMENT '更新用户',
 `updateTime` datetime(0)  DEFAULT NULL COMMENT '更新时间',
 PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '行业许可子证' ROW_FORMAT = Dynamic;


DROP TABLE IF EXISTS `mortals_xhx_child_license_dataset`;
CREATE TABLE `mortals_xhx_child_license_dataset`  (
    `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
    `subLicenseId` bigint(20) NULL DEFAULT NULL COMMENT '许可子证Id',
    `createTime` datetime(0)  NOT NULL COMMENT '创建时间',
    `createUserId` bigint(20) NOT NULL  COMMENT '创建用户',
    `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
    `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE,
    KEY `subLicenseId` (`subLicenseId`) USING BTREE
) ENGINE = InnoDB  CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '行业许可子证数据集' ROW_FORMAT = Dynamic;

DROP TABLE IF EXISTS `mortals_xhx_child_license_info_field`;
CREATE TABLE `mortals_xhx_child_license_info_field`  (
   `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
   `datasetId` bigint(20) NOT NULL COMMENT '子证数据集Id',
   `fieldCode` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '字段编码',
   `fieldName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '字段名称',
   `fieldType` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框）',
   `fieldTypeValue` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字段类型值，当字段类型为多选，单选时候，预设复选值',
   `dataType` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT 'string' COMMENT '数据类型（number.数字,string.字符串）',
   `fieldValue` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '字段值',
   `defaultValue` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字段默认值',
   `fieldLen` int(9) NULL DEFAULT '128' COMMENT '数据长度，默认128',
   `fieldNull` tinyint(2) NULL DEFAULT '1' COMMENT '是否允许为空，(0.否,1.是)',
   `isList` tinyint(2) NULL DEFAULT '0' COMMENT '字段是否列表显示(0.否,1.是)',
   `fieldOrderNo` int(9) NULL DEFAULT '0' COMMENT '排序号',
   `serviceApi` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '事件服务接口请求地址',
   `serviceApiParams` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '事件服务接口请求参数',
   `remark` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '备注',
   `createTime` datetime(0)  NOT NULL COMMENT '创建时间',
   `createUserId` bigint(20)  NOT NULL COMMENT '创建用户',
   `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
   `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '修改用户',
   PRIMARY KEY (`id`) USING BTREE,
   KEY `datasetId` (`datasetId`) USING BTREE,
   KEY `fieldCode` (`fieldCode`) USING BTREE
) ENGINE = InnoDB  CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '行业许可子证信息字段' ROW_FORMAT = Dynamic;

DROP TABLE IF EXISTS `mortals_xhx_child_license_templete_field`;
CREATE TABLE `mortals_xhx_child_license_templete_field`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `subLicenseId` bigint(20) NULL DEFAULT NULL COMMENT '许可子证Id',
  `fieldCode` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '字段编码',
  `fieldName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '字段名称',
  `fieldType` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT NULL COMMENT '字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框,editer.富文本）',
  `fieldTypeValue` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '字段类型值，当字段类型为多选，单选时候，预设复选值',
  `dataType` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT 'string' COMMENT '数据类型（number.数字,string.字符串）',
  `fieldValue` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '字段值',
  `defaultValue` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '字段默认值',
  `fieldLen` int(9)  DEFAULT '128' COMMENT '数据长度，默认128',
  `fieldNull` tinyint(2)  DEFAULT '1' COMMENT '是否允许为空，(0.否,1.是)',
  `isList` tinyint(2)  DEFAULT '0' COMMENT '字段是否列表显示(0.否,1.是)',
  `fieldOrderNo` int(9)  DEFAULT '0' COMMENT '排序号',
  `serviceApi` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '事件服务接口请求地址',
  `serviceApiParams` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '事件服务接口请求参数',
  `remark` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '备注',
  `createTime` datetime(0)  NOT NULL COMMENT '创建时间',
  `createUserId` bigint(20)  NOT NULL COMMENT '创建用户',
  `updateTime` datetime(0)  DEFAULT NULL COMMENT '修改时间',
  `updateUserId` bigint(20)  DEFAULT NULL COMMENT '修改用户',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `subLicenseId` (`subLicenseId`) USING BTREE,
  KEY `fieldCode` (`fieldCode`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '行业许可子证模板信息字段' ROW_FORMAT = Dynamic;
