package com.mortals.xhx.module.child.dao.ibatis;


import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.ParamDto;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.child.model.ChildLicenseDatasetQuery;
import com.mortals.xhx.module.child.model.ChildLicenseInfoFieldEntity;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.child.dao.ChildLicenseDatasetDao;
import com.mortals.xhx.module.child.model.ChildLicenseDatasetEntity;

import java.util.ArrayList;
import java.util.Date;

import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;

import java.util.List;

/**
 * 行业许可子证数据集DaoImpl DAO接口
 *
 * @author zxfei
 * @date 2024-07-27
 */
@Repository("childLicenseDatasetDao")
public class ChildLicenseDatasetDaoImpl extends BaseCRUDDaoMybatis<ChildLicenseDatasetEntity, Long> implements ChildLicenseDatasetDao {

    @Override
    public Result<ChildLicenseInfoFieldEntity> getCustomList(ChildLicenseDatasetQuery appDatasetQuery, PageInfo pageInfo) {
        Result<ChildLicenseInfoFieldEntity> result = new Result();
        ParamDto paramDto = this.getQueryParam(appDatasetQuery);
        int count = this.getCustomCount(paramDto);
        List list = null;
        if (count == 0) {
            list = new ArrayList();
        } else if (pageInfo.getPrePageResult() == -1) {
            list = this.getSqlSession().selectList(this.getSqlId(SQLID_CUSTOM_LIST), paramDto);
        } else {
            list = this.getSqlSession().selectList(this.getSqlId(SQLID_CUSTOM_LIST), paramDto);
        }
        pageInfo.setTotalResult(count);
        result.setPageInfo(pageInfo);
        result.setList(list);
        return result;
    }

    public int getCustomCount(ParamDto paramDto) {
        return this.getSqlSession().selectOne(this.getSqlId(SQLID_CUSTOM_COUNT), this.cpyQueryParamDto(paramDto));
    }
}
