package com.mortals.xhx.module.record.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.record.model.PrintLogEntity;
/**
 * 证照打印记录查询对象
 *
 * @author zxfei
 * @date 2023-07-05
 */
public class PrintLogQuery extends PrintLogEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 证照目录ID */
    private Long catalogIdStart;

    /** 结束 证照目录ID */
    private Long catalogIdEnd;

    /** 增加 证照目录ID */
    private Long catalogIdIncrement;

    /** 证照目录ID列表 */
    private List <Long> catalogIdList;

    /** 证照目录ID排除列表 */
    private List <Long> catalogIdNotList;

    /** 证照目录编号 */
    private List<String> catalogCodeList;

    /** 证照目录编号排除列表 */
    private List <String> catalogCodeNotList;
    /** 目录名称 */
    private List<String> catalogNameList;

    /** 目录名称排除列表 */
    private List <String> catalogNameNotList;
    /** 证照名称 */
    private List<String> certificateNameList;

    /** 证照名称排除列表 */
    private List <String> certificateNameNotList;
    /** 证照编号 */
    private List<String> certificateCodeList;

    /** 证照编号排除列表 */
    private List <String> certificateCodeNotList;
    /** 企业名称 */
    private List<String> enterpriseNameList;

    /** 企业名称排除列表 */
    private List <String> enterpriseNameNotList;
    /** 持有者姓名 */
    private List<String> holderNameList;

    /** 持有者姓名排除列表 */
    private List <String> holderNameNotList;
    /** 持有者证件号码 */
    private List<String> holderIDCardNoList;

    /** 持有者证件号码排除列表 */
    private List <String> holderIDCardNoNotList;
    /** 取件人姓名 */
    private List<String> pickerNameList;

    /** 取件人姓名排除列表 */
    private List <String> pickerNameNotList;
    /** 取件人证件号码 */
    private List<String> pickerIDCardNoList;

    /** 取件人证件号码排除列表 */
    private List <String> pickerIDCardNoNotList;
    /** 开始 打印状态1打印成功0失败 */
    private Integer printStatusStart;

    /** 结束 打印状态1打印成功0失败 */
    private Integer printStatusEnd;

    /** 增加 打印状态1打印成功0失败 */
    private Integer printStatusIncrement;

    /** 打印状态1打印成功0失败列表 */
    private List <Integer> printStatusList;

    /** 打印状态1打印成功0失败排除列表 */
    private List <Integer> printStatusNotList;

    /** 开始 打印时间 */
    private String printDateStart;

    /** 结束 打印时间 */
    private String printDateEnd;

    /** 打印结果描述 */
    private List<String> statusRemarkList;

    /** 打印结果描述排除列表 */
    private List <String> statusRemarkNotList;
    /** 开始 打印设备 */
    private Long deviceIdStart;

    /** 结束 打印设备 */
    private Long deviceIdEnd;

    /** 增加 打印设备 */
    private Long deviceIdIncrement;

    /** 打印设备列表 */
    private List <Long> deviceIdList;

    /** 打印设备排除列表 */
    private List <Long> deviceIdNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** 开始 证照目录模板ID */
    private Long templateIdStart;

    /** 结束 证照目录模板ID */
    private Long templateIdEnd;

    /** 增加 证照目录模板ID */
    private Long templateIdIncrement;

    /** 证照目录模板ID列表 */
    private List <Long> templateIdList;

    /** 证照目录模板ID排除列表 */
    private List <Long> templateIdNotList;

    /** 证照模板名称 */
    private List<String> templateNameList;

    /** 证照模板名称排除列表 */
    private List <String> templateNameNotList;
    /** 手机号码 */
    private List<String> mobileList;

    /** 手机号码排除列表 */
    private List <String> mobileNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PrintLogQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PrintLogQuery> andConditionList;

    public PrintLogQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 证照目录ID
     * @return catalogIdStart
     */
    public Long getCatalogIdStart(){
        return this.catalogIdStart;
    }

    /**
     * 设置 开始 证照目录ID
     * @param catalogIdStart
     */
    public void setCatalogIdStart(Long catalogIdStart){
        this.catalogIdStart = catalogIdStart;
    }

    /**
     * 获取 结束 证照目录ID
     * @return $catalogIdEnd
     */
    public Long getCatalogIdEnd(){
        return this.catalogIdEnd;
    }

    /**
     * 设置 结束 证照目录ID
     * @param catalogIdEnd
     */
    public void setCatalogIdEnd(Long catalogIdEnd){
        this.catalogIdEnd = catalogIdEnd;
    }

    /**
     * 获取 增加 证照目录ID
     * @return catalogIdIncrement
     */
    public Long getCatalogIdIncrement(){
        return this.catalogIdIncrement;
    }

    /**
     * 设置 增加 证照目录ID
     * @param catalogIdIncrement
     */
    public void setCatalogIdIncrement(Long catalogIdIncrement){
        this.catalogIdIncrement = catalogIdIncrement;
    }

    /**
     * 获取 证照目录ID
     * @return catalogIdList
     */
    public List<Long> getCatalogIdList(){
        return this.catalogIdList;
    }

    /**
     * 设置 证照目录ID
     * @param catalogIdList
     */
    public void setCatalogIdList(List<Long> catalogIdList){
        this.catalogIdList = catalogIdList;
    }

    /**
     * 获取 证照目录ID
     * @return catalogIdNotList
     */
    public List<Long> getCatalogIdNotList(){
        return this.catalogIdNotList;
    }

    /**
     * 设置 证照目录ID
     * @param catalogIdNotList
     */
    public void setCatalogIdNotList(List<Long> catalogIdNotList){
        this.catalogIdNotList = catalogIdNotList;
    }


    /**
     * 获取 证照目录编号
     * @return catalogCodeList
     */
    public List<String> getCatalogCodeList(){
        return this.catalogCodeList;
    }

    /**
     * 设置 证照目录编号
     * @param catalogCodeList
     */
    public void setCatalogCodeList(List<String> catalogCodeList){
        this.catalogCodeList = catalogCodeList;
    }

    /**
     * 获取 证照目录编号
     * @return catalogCodeNotList
     */
    public List<String> getCatalogCodeNotList(){
        return this.catalogCodeNotList;
    }

    /**
     * 设置 证照目录编号
     * @param catalogCodeNotList
     */
    public void setCatalogCodeNotList(List<String> catalogCodeNotList){
        this.catalogCodeNotList = catalogCodeNotList;
    }

    /**
     * 获取 目录名称
     * @return catalogNameList
     */
    public List<String> getCatalogNameList(){
        return this.catalogNameList;
    }

    /**
     * 设置 目录名称
     * @param catalogNameList
     */
    public void setCatalogNameList(List<String> catalogNameList){
        this.catalogNameList = catalogNameList;
    }

    /**
     * 获取 目录名称
     * @return catalogNameNotList
     */
    public List<String> getCatalogNameNotList(){
        return this.catalogNameNotList;
    }

    /**
     * 设置 目录名称
     * @param catalogNameNotList
     */
    public void setCatalogNameNotList(List<String> catalogNameNotList){
        this.catalogNameNotList = catalogNameNotList;
    }

    /**
     * 获取 证照名称
     * @return certificateNameList
     */
    public List<String> getCertificateNameList(){
        return this.certificateNameList;
    }

    /**
     * 设置 证照名称
     * @param certificateNameList
     */
    public void setCertificateNameList(List<String> certificateNameList){
        this.certificateNameList = certificateNameList;
    }

    /**
     * 获取 证照名称
     * @return certificateNameNotList
     */
    public List<String> getCertificateNameNotList(){
        return this.certificateNameNotList;
    }

    /**
     * 设置 证照名称
     * @param certificateNameNotList
     */
    public void setCertificateNameNotList(List<String> certificateNameNotList){
        this.certificateNameNotList = certificateNameNotList;
    }

    /**
     * 获取 证照编号
     * @return certificateCodeList
     */
    public List<String> getCertificateCodeList(){
        return this.certificateCodeList;
    }

    /**
     * 设置 证照编号
     * @param certificateCodeList
     */
    public void setCertificateCodeList(List<String> certificateCodeList){
        this.certificateCodeList = certificateCodeList;
    }

    /**
     * 获取 证照编号
     * @return certificateCodeNotList
     */
    public List<String> getCertificateCodeNotList(){
        return this.certificateCodeNotList;
    }

    /**
     * 设置 证照编号
     * @param certificateCodeNotList
     */
    public void setCertificateCodeNotList(List<String> certificateCodeNotList){
        this.certificateCodeNotList = certificateCodeNotList;
    }

    /**
     * 获取 企业名称
     * @return enterpriseNameList
     */
    public List<String> getEnterpriseNameList(){
        return this.enterpriseNameList;
    }

    /**
     * 设置 企业名称
     * @param enterpriseNameList
     */
    public void setEnterpriseNameList(List<String> enterpriseNameList){
        this.enterpriseNameList = enterpriseNameList;
    }

    /**
     * 获取 企业名称
     * @return enterpriseNameNotList
     */
    public List<String> getEnterpriseNameNotList(){
        return this.enterpriseNameNotList;
    }

    /**
     * 设置 企业名称
     * @param enterpriseNameNotList
     */
    public void setEnterpriseNameNotList(List<String> enterpriseNameNotList){
        this.enterpriseNameNotList = enterpriseNameNotList;
    }

    /**
     * 获取 持有者姓名
     * @return holderNameList
     */
    public List<String> getHolderNameList(){
        return this.holderNameList;
    }

    /**
     * 设置 持有者姓名
     * @param holderNameList
     */
    public void setHolderNameList(List<String> holderNameList){
        this.holderNameList = holderNameList;
    }

    /**
     * 获取 持有者姓名
     * @return holderNameNotList
     */
    public List<String> getHolderNameNotList(){
        return this.holderNameNotList;
    }

    /**
     * 设置 持有者姓名
     * @param holderNameNotList
     */
    public void setHolderNameNotList(List<String> holderNameNotList){
        this.holderNameNotList = holderNameNotList;
    }

    /**
     * 获取 持有者证件号码
     * @return holderIDCardNoList
     */
    public List<String> getHolderIDCardNoList(){
        return this.holderIDCardNoList;
    }

    /**
     * 设置 持有者证件号码
     * @param holderIDCardNoList
     */
    public void setHolderIDCardNoList(List<String> holderIDCardNoList){
        this.holderIDCardNoList = holderIDCardNoList;
    }

    /**
     * 获取 持有者证件号码
     * @return holderIDCardNoNotList
     */
    public List<String> getHolderIDCardNoNotList(){
        return this.holderIDCardNoNotList;
    }

    /**
     * 设置 持有者证件号码
     * @param holderIDCardNoNotList
     */
    public void setHolderIDCardNoNotList(List<String> holderIDCardNoNotList){
        this.holderIDCardNoNotList = holderIDCardNoNotList;
    }

    /**
     * 获取 取件人姓名
     * @return pickerNameList
     */
    public List<String> getPickerNameList(){
        return this.pickerNameList;
    }

    /**
     * 设置 取件人姓名
     * @param pickerNameList
     */
    public void setPickerNameList(List<String> pickerNameList){
        this.pickerNameList = pickerNameList;
    }

    /**
     * 获取 取件人姓名
     * @return pickerNameNotList
     */
    public List<String> getPickerNameNotList(){
        return this.pickerNameNotList;
    }

    /**
     * 设置 取件人姓名
     * @param pickerNameNotList
     */
    public void setPickerNameNotList(List<String> pickerNameNotList){
        this.pickerNameNotList = pickerNameNotList;
    }

    /**
     * 获取 取件人证件号码
     * @return pickerIDCardNoList
     */
    public List<String> getPickerIDCardNoList(){
        return this.pickerIDCardNoList;
    }

    /**
     * 设置 取件人证件号码
     * @param pickerIDCardNoList
     */
    public void setPickerIDCardNoList(List<String> pickerIDCardNoList){
        this.pickerIDCardNoList = pickerIDCardNoList;
    }

    /**
     * 获取 取件人证件号码
     * @return pickerIDCardNoNotList
     */
    public List<String> getPickerIDCardNoNotList(){
        return this.pickerIDCardNoNotList;
    }

    /**
     * 设置 取件人证件号码
     * @param pickerIDCardNoNotList
     */
    public void setPickerIDCardNoNotList(List<String> pickerIDCardNoNotList){
        this.pickerIDCardNoNotList = pickerIDCardNoNotList;
    }

    /**
     * 获取 开始 打印状态1打印成功0失败
     * @return printStatusStart
     */
    public Integer getPrintStatusStart(){
        return this.printStatusStart;
    }

    /**
     * 设置 开始 打印状态1打印成功0失败
     * @param printStatusStart
     */
    public void setPrintStatusStart(Integer printStatusStart){
        this.printStatusStart = printStatusStart;
    }

    /**
     * 获取 结束 打印状态1打印成功0失败
     * @return $printStatusEnd
     */
    public Integer getPrintStatusEnd(){
        return this.printStatusEnd;
    }

    /**
     * 设置 结束 打印状态1打印成功0失败
     * @param printStatusEnd
     */
    public void setPrintStatusEnd(Integer printStatusEnd){
        this.printStatusEnd = printStatusEnd;
    }

    /**
     * 获取 增加 打印状态1打印成功0失败
     * @return printStatusIncrement
     */
    public Integer getPrintStatusIncrement(){
        return this.printStatusIncrement;
    }

    /**
     * 设置 增加 打印状态1打印成功0失败
     * @param printStatusIncrement
     */
    public void setPrintStatusIncrement(Integer printStatusIncrement){
        this.printStatusIncrement = printStatusIncrement;
    }

    /**
     * 获取 打印状态1打印成功0失败
     * @return printStatusList
     */
    public List<Integer> getPrintStatusList(){
        return this.printStatusList;
    }

    /**
     * 设置 打印状态1打印成功0失败
     * @param printStatusList
     */
    public void setPrintStatusList(List<Integer> printStatusList){
        this.printStatusList = printStatusList;
    }

    /**
     * 获取 打印状态1打印成功0失败
     * @return printStatusNotList
     */
    public List<Integer> getPrintStatusNotList(){
        return this.printStatusNotList;
    }

    /**
     * 设置 打印状态1打印成功0失败
     * @param printStatusNotList
     */
    public void setPrintStatusNotList(List<Integer> printStatusNotList){
        this.printStatusNotList = printStatusNotList;
    }


    /**
     * 获取 开始 打印时间
     * @return printDateStart
     */
    public String getPrintDateStart(){
        return this.printDateStart;
    }

    /**
     * 设置 开始 打印时间
     * @param printDateStart
     */
    public void setPrintDateStart(String printDateStart){
        this.printDateStart = printDateStart;
    }

    /**
     * 获取 结束 打印时间
     * @return printDateEnd
     */
    public String getPrintDateEnd(){
        return this.printDateEnd;
    }

    /**
     * 设置 结束 打印时间
     * @param printDateEnd
     */
    public void setPrintDateEnd(String printDateEnd){
        this.printDateEnd = printDateEnd;
    }

    /**
     * 获取 打印结果描述
     * @return statusRemarkList
     */
    public List<String> getStatusRemarkList(){
        return this.statusRemarkList;
    }

    /**
     * 设置 打印结果描述
     * @param statusRemarkList
     */
    public void setStatusRemarkList(List<String> statusRemarkList){
        this.statusRemarkList = statusRemarkList;
    }

    /**
     * 获取 打印结果描述
     * @return statusRemarkNotList
     */
    public List<String> getStatusRemarkNotList(){
        return this.statusRemarkNotList;
    }

    /**
     * 设置 打印结果描述
     * @param statusRemarkNotList
     */
    public void setStatusRemarkNotList(List<String> statusRemarkNotList){
        this.statusRemarkNotList = statusRemarkNotList;
    }

    /**
     * 获取 开始 打印设备
     * @return deviceIdStart
     */
    public Long getDeviceIdStart(){
        return this.deviceIdStart;
    }

    /**
     * 设置 开始 打印设备
     * @param deviceIdStart
     */
    public void setDeviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
    }

    /**
     * 获取 结束 打印设备
     * @return $deviceIdEnd
     */
    public Long getDeviceIdEnd(){
        return this.deviceIdEnd;
    }

    /**
     * 设置 结束 打印设备
     * @param deviceIdEnd
     */
    public void setDeviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
    }

    /**
     * 获取 增加 打印设备
     * @return deviceIdIncrement
     */
    public Long getDeviceIdIncrement(){
        return this.deviceIdIncrement;
    }

    /**
     * 设置 增加 打印设备
     * @param deviceIdIncrement
     */
    public void setDeviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
    }

    /**
     * 获取 打印设备
     * @return deviceIdList
     */
    public List<Long> getDeviceIdList(){
        return this.deviceIdList;
    }

    /**
     * 设置 打印设备
     * @param deviceIdList
     */
    public void setDeviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
    }

    /**
     * 获取 打印设备
     * @return deviceIdNotList
     */
    public List<Long> getDeviceIdNotList(){
        return this.deviceIdNotList;
    }

    /**
     * 设置 打印设备
     * @param deviceIdNotList
     */
    public void setDeviceIdNotList(List<Long> deviceIdNotList){
        this.deviceIdNotList = deviceIdNotList;
    }


    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 开始 证照目录模板ID
     * @return templateIdStart
     */
    public Long getTemplateIdStart(){
        return this.templateIdStart;
    }

    /**
     * 设置 开始 证照目录模板ID
     * @param templateIdStart
     */
    public void setTemplateIdStart(Long templateIdStart){
        this.templateIdStart = templateIdStart;
    }

    /**
     * 获取 结束 证照目录模板ID
     * @return $templateIdEnd
     */
    public Long getTemplateIdEnd(){
        return this.templateIdEnd;
    }

    /**
     * 设置 结束 证照目录模板ID
     * @param templateIdEnd
     */
    public void setTemplateIdEnd(Long templateIdEnd){
        this.templateIdEnd = templateIdEnd;
    }

    /**
     * 获取 增加 证照目录模板ID
     * @return templateIdIncrement
     */
    public Long getTemplateIdIncrement(){
        return this.templateIdIncrement;
    }

    /**
     * 设置 增加 证照目录模板ID
     * @param templateIdIncrement
     */
    public void setTemplateIdIncrement(Long templateIdIncrement){
        this.templateIdIncrement = templateIdIncrement;
    }

    /**
     * 获取 证照目录模板ID
     * @return templateIdList
     */
    public List<Long> getTemplateIdList(){
        return this.templateIdList;
    }

    /**
     * 设置 证照目录模板ID
     * @param templateIdList
     */
    public void setTemplateIdList(List<Long> templateIdList){
        this.templateIdList = templateIdList;
    }

    /**
     * 获取 证照目录模板ID
     * @return templateIdNotList
     */
    public List<Long> getTemplateIdNotList(){
        return this.templateIdNotList;
    }

    /**
     * 设置 证照目录模板ID
     * @param templateIdNotList
     */
    public void setTemplateIdNotList(List<Long> templateIdNotList){
        this.templateIdNotList = templateIdNotList;
    }


    /**
     * 获取 证照模板名称
     * @return templateNameList
     */
    public List<String> getTemplateNameList(){
        return this.templateNameList;
    }

    /**
     * 设置 证照模板名称
     * @param templateNameList
     */
    public void setTemplateNameList(List<String> templateNameList){
        this.templateNameList = templateNameList;
    }

    /**
     * 获取 证照模板名称
     * @return templateNameNotList
     */
    public List<String> getTemplateNameNotList(){
        return this.templateNameNotList;
    }

    /**
     * 设置 证照模板名称
     * @param templateNameNotList
     */
    public void setTemplateNameNotList(List<String> templateNameNotList){
        this.templateNameNotList = templateNameNotList;
    }

    /**
     * 获取 手机号码
     * @return mobileList
     */
    public List<String> getMobileList(){
        return this.mobileList;
    }

    /**
     * 设置 手机号码
     * @param mobileList
     */
    public void setMobileList(List<String> mobileList){
        this.mobileList = mobileList;
    }

    /**
     * 获取 手机号码
     * @return mobileNotList
     */
    public List<String> getMobileNotList(){
        return this.mobileNotList;
    }

    /**
     * 设置 手机号码
     * @param mobileNotList
     */
    public void setMobileNotList(List<String> mobileNotList){
        this.mobileNotList = mobileNotList;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public PrintLogQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public PrintLogQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public PrintLogQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public PrintLogQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public PrintLogQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public PrintLogQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  证照目录ID
     * @param catalogId
     */
    public PrintLogQuery catalogId(Long catalogId){
        setCatalogId(catalogId);
        return this;
    }

    /**
     * 设置 开始 证照目录ID
     * @param catalogIdStart
     */
    public PrintLogQuery catalogIdStart(Long catalogIdStart){
        this.catalogIdStart = catalogIdStart;
        return this;
    }

    /**
     * 设置 结束 证照目录ID
     * @param catalogIdEnd
     */
    public PrintLogQuery catalogIdEnd(Long catalogIdEnd){
        this.catalogIdEnd = catalogIdEnd;
        return this;
    }

    /**
     * 设置 增加 证照目录ID
     * @param catalogIdIncrement
     */
    public PrintLogQuery catalogIdIncrement(Long catalogIdIncrement){
        this.catalogIdIncrement = catalogIdIncrement;
        return this;
    }

    /**
     * 设置 证照目录ID
     * @param catalogIdList
     */
    public PrintLogQuery catalogIdList(List<Long> catalogIdList){
        this.catalogIdList = catalogIdList;
        return this;
    }

    /**
     * 设置 证照目录ID
     * @param catalogIdNotList
     */
    public PrintLogQuery catalogIdNotList(List<Long> catalogIdNotList){
        this.catalogIdNotList = catalogIdNotList;
        return this;
    }


    /**
     * 设置 证照目录编号
     * @param catalogCode
     */
    public PrintLogQuery catalogCode(String catalogCode){
        setCatalogCode(catalogCode);
        return this;
    }

    /**
     * 设置 证照目录编号
     * @param catalogCodeList
     */
    public PrintLogQuery catalogCodeList(List<String> catalogCodeList){
        this.catalogCodeList = catalogCodeList;
        return this;
    }


    /**
     * 设置 目录名称
     * @param catalogName
     */
    public PrintLogQuery catalogName(String catalogName){
        setCatalogName(catalogName);
        return this;
    }

    /**
     * 设置 目录名称
     * @param catalogNameList
     */
    public PrintLogQuery catalogNameList(List<String> catalogNameList){
        this.catalogNameList = catalogNameList;
        return this;
    }


    /**
     * 设置 证照名称
     * @param certificateName
     */
    public PrintLogQuery certificateName(String certificateName){
        setCertificateName(certificateName);
        return this;
    }

    /**
     * 设置 证照名称
     * @param certificateNameList
     */
    public PrintLogQuery certificateNameList(List<String> certificateNameList){
        this.certificateNameList = certificateNameList;
        return this;
    }


    /**
     * 设置 证照编号
     * @param certificateCode
     */
    public PrintLogQuery certificateCode(String certificateCode){
        setCertificateCode(certificateCode);
        return this;
    }

    /**
     * 设置 证照编号
     * @param certificateCodeList
     */
    public PrintLogQuery certificateCodeList(List<String> certificateCodeList){
        this.certificateCodeList = certificateCodeList;
        return this;
    }


    /**
     * 设置 企业名称
     * @param enterpriseName
     */
    public PrintLogQuery enterpriseName(String enterpriseName){
        setEnterpriseName(enterpriseName);
        return this;
    }

    /**
     * 设置 企业名称
     * @param enterpriseNameList
     */
    public PrintLogQuery enterpriseNameList(List<String> enterpriseNameList){
        this.enterpriseNameList = enterpriseNameList;
        return this;
    }


    /**
     * 设置 持有者姓名
     * @param holderName
     */
    public PrintLogQuery holderName(String holderName){
        setHolderName(holderName);
        return this;
    }

    /**
     * 设置 持有者姓名
     * @param holderNameList
     */
    public PrintLogQuery holderNameList(List<String> holderNameList){
        this.holderNameList = holderNameList;
        return this;
    }


    /**
     * 设置 持有者证件号码
     * @param holderIDCardNo
     */
    public PrintLogQuery holderIDCardNo(String holderIDCardNo){
        setHolderIDCardNo(holderIDCardNo);
        return this;
    }

    /**
     * 设置 持有者证件号码
     * @param holderIDCardNoList
     */
    public PrintLogQuery holderIDCardNoList(List<String> holderIDCardNoList){
        this.holderIDCardNoList = holderIDCardNoList;
        return this;
    }


    /**
     * 设置 取件人姓名
     * @param pickerName
     */
    public PrintLogQuery pickerName(String pickerName){
        setPickerName(pickerName);
        return this;
    }

    /**
     * 设置 取件人姓名
     * @param pickerNameList
     */
    public PrintLogQuery pickerNameList(List<String> pickerNameList){
        this.pickerNameList = pickerNameList;
        return this;
    }


    /**
     * 设置 取件人证件号码
     * @param pickerIDCardNo
     */
    public PrintLogQuery pickerIDCardNo(String pickerIDCardNo){
        setPickerIDCardNo(pickerIDCardNo);
        return this;
    }

    /**
     * 设置 取件人证件号码
     * @param pickerIDCardNoList
     */
    public PrintLogQuery pickerIDCardNoList(List<String> pickerIDCardNoList){
        this.pickerIDCardNoList = pickerIDCardNoList;
        return this;
    }

    /**
     * 设置  打印状态1打印成功0失败
     * @param printStatus
     */
    public PrintLogQuery printStatus(Integer printStatus){
        setPrintStatus(printStatus);
        return this;
    }

    /**
     * 设置 开始 打印状态1打印成功0失败
     * @param printStatusStart
     */
    public PrintLogQuery printStatusStart(Integer printStatusStart){
        this.printStatusStart = printStatusStart;
        return this;
    }

    /**
     * 设置 结束 打印状态1打印成功0失败
     * @param printStatusEnd
     */
    public PrintLogQuery printStatusEnd(Integer printStatusEnd){
        this.printStatusEnd = printStatusEnd;
        return this;
    }

    /**
     * 设置 增加 打印状态1打印成功0失败
     * @param printStatusIncrement
     */
    public PrintLogQuery printStatusIncrement(Integer printStatusIncrement){
        this.printStatusIncrement = printStatusIncrement;
        return this;
    }

    /**
     * 设置 打印状态1打印成功0失败
     * @param printStatusList
     */
    public PrintLogQuery printStatusList(List<Integer> printStatusList){
        this.printStatusList = printStatusList;
        return this;
    }

    /**
     * 设置 打印状态1打印成功0失败
     * @param printStatusNotList
     */
    public PrintLogQuery printStatusNotList(List<Integer> printStatusNotList){
        this.printStatusNotList = printStatusNotList;
        return this;
    }



    /**
     * 设置 打印结果描述
     * @param statusRemark
     */
    public PrintLogQuery statusRemark(String statusRemark){
        setStatusRemark(statusRemark);
        return this;
    }

    /**
     * 设置 打印结果描述
     * @param statusRemarkList
     */
    public PrintLogQuery statusRemarkList(List<String> statusRemarkList){
        this.statusRemarkList = statusRemarkList;
        return this;
    }

    /**
     * 设置  打印设备
     * @param deviceId
     */
    public PrintLogQuery deviceId(Long deviceId){
        setDeviceId(deviceId);
        return this;
    }

    /**
     * 设置 开始 打印设备
     * @param deviceIdStart
     */
    public PrintLogQuery deviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
        return this;
    }

    /**
     * 设置 结束 打印设备
     * @param deviceIdEnd
     */
    public PrintLogQuery deviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
        return this;
    }

    /**
     * 设置 增加 打印设备
     * @param deviceIdIncrement
     */
    public PrintLogQuery deviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
        return this;
    }

    /**
     * 设置 打印设备
     * @param deviceIdList
     */
    public PrintLogQuery deviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
        return this;
    }

    /**
     * 设置 打印设备
     * @param deviceIdNotList
     */
    public PrintLogQuery deviceIdNotList(List<Long> deviceIdNotList){
        this.deviceIdNotList = deviceIdNotList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public PrintLogQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public PrintLogQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public PrintLogQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public PrintLogQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public PrintLogQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public PrintLogQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public PrintLogQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public PrintLogQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public PrintLogQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public PrintLogQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public PrintLogQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public PrintLogQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 设置  站点id
     * @param siteId
     */
    public PrintLogQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public PrintLogQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public PrintLogQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public PrintLogQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public PrintLogQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public PrintLogQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }

    /**
     * 设置  证照目录模板ID
     * @param templateId
     */
    public PrintLogQuery templateId(Long templateId){
        setTemplateId(templateId);
        return this;
    }

    /**
     * 设置 开始 证照目录模板ID
     * @param templateIdStart
     */
    public PrintLogQuery templateIdStart(Long templateIdStart){
        this.templateIdStart = templateIdStart;
        return this;
    }

    /**
     * 设置 结束 证照目录模板ID
     * @param templateIdEnd
     */
    public PrintLogQuery templateIdEnd(Long templateIdEnd){
        this.templateIdEnd = templateIdEnd;
        return this;
    }

    /**
     * 设置 增加 证照目录模板ID
     * @param templateIdIncrement
     */
    public PrintLogQuery templateIdIncrement(Long templateIdIncrement){
        this.templateIdIncrement = templateIdIncrement;
        return this;
    }

    /**
     * 设置 证照目录模板ID
     * @param templateIdList
     */
    public PrintLogQuery templateIdList(List<Long> templateIdList){
        this.templateIdList = templateIdList;
        return this;
    }

    /**
     * 设置 证照目录模板ID
     * @param templateIdNotList
     */
    public PrintLogQuery templateIdNotList(List<Long> templateIdNotList){
        this.templateIdNotList = templateIdNotList;
        return this;
    }


    /**
     * 设置 证照模板名称
     * @param templateName
     */
    public PrintLogQuery templateName(String templateName){
        setTemplateName(templateName);
        return this;
    }

    /**
     * 设置 证照模板名称
     * @param templateNameList
     */
    public PrintLogQuery templateNameList(List<String> templateNameList){
        this.templateNameList = templateNameList;
        return this;
    }


    /**
     * 设置 手机号码
     * @param mobile
     */
    public PrintLogQuery mobile(String mobile){
        setMobile(mobile);
        return this;
    }

    /**
     * 设置 手机号码
     * @param mobileList
     */
    public PrintLogQuery mobileList(List<String> mobileList){
        this.mobileList = mobileList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<PrintLogQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<PrintLogQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<PrintLogQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<PrintLogQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}